#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		sname		%(echo %{name} | cut -d '-' -f2-)
#-----------------------------------------------------------------------------
Name		:	perl-Class-Inspector
Version		:	1.36
Release		:	14.8.0.0%{?dist}
Summary		:	Get information about a class and its structure

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Class::Inspector

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Class::Inspector allows you to get information about
a loaded class. Most or all of this information can be
found in other ways, but they aren't always very friendly,
and usually involve a relatively high level of Perl wizardry,
or strange and unusual looking code. Class::Inspector
attempts to provide an easier, more friendly interface
to this information.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%license LICENSE
%{_datadir}/perl5/core_perl/Class/Inspector.pm
%{_datadir}/perl5/core_perl/Class/Inspector/Functions.pm
%{_mandir}/man3/Class::Inspector.3.gz
%{_mandir}/man3/Class::Inspector::Functions.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__perl}							\
	Makefile.PL					\
	INSTALLDIRS=perl				\

%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	PERL_INSTALL_ROOT=%{buildroot}			\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

#-----------------------------------------------------------------------------
%changelog
